Bug 660393 - Review Request: netxen-firmware - QLogic Linux Intelligent Ethernet (3000 and 3100 Series) Adapter Firmware
Summary: Review Request: netxen-firmware - QLogic Linux Intelligent Ethernet (3000 and...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 18:03 UTC by Tom "spot" Callaway
Modified: 2011-01-26 21:01 UTC (History)
5 users (show)

Fixed In Version: netxen-firmware-4.0.534-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-26 20:56:14 UTC
Type: ---
lemenkov: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2010-12-06 18:03:45 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/netxen-firmware.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/netxen-firmware-4.0.534-1.fc14.src.rpm
Description: 
QLogic Linux Intelligent Ethernet (3000 and 3100 Series) Adapter Firmware

Comment 1 Tom "spot" Callaway 2010-12-13 14:48:51 UTC
Updated package, QLogic gave it a more permanent home:

Spec URL:
http://www.auroralinux.org/people/spot/review/new/netxen-firmware.spec
SRPM URL:
http://www.auroralinux.org/people/spot/review/new/netxen-firmware-4.0.534-2.fc14.src.rpm

Comment 2 sucheta.chakraborty 2010-12-17 06:26:59 UTC
Hi Tom,

Should we wait for RedHat to post a RHEL 6.1 version that includes phanfw.bin firmware or, test the firmware that is already available from comment 1?

- Sucheta.

Comment 3 Tom "spot" Callaway 2010-12-17 15:51:47 UTC
Sucheta, the files are likely to be identical. This package is simply awaiting review for inclusion into Fedora (since it is a new package).

Comment 4 Peter Lemenkov 2010-12-22 07:43:06 UTC
I'll review it

Comment 5 Peter Lemenkov 2010-12-23 09:06:49 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not silent but all its messages are just a false positives

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/noarch/netxen-firmware-4.0.534-2.fc12.noarch.rpm 
netxen-firmware.noarch: W: spelling-error Summary(en_US) QLogic -> Q Logic, Logic, Logistic
netxen-firmware.noarch: W: spelling-error %description -l en_US QLogic -> Q Logic, Logic, Logistic
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
sulaco ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (redistributable w/o modifications).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.

- The sources used to build the package, MUST match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum phanfw.bin* LICENCE.phanfw*
e1444f55fb6a06d5580dd65f4c5e4c0e58b39e8d92833db12e7cb05cf712aa0f  phanfw.bin
e1444f55fb6a06d5580dd65f4c5e4c0e58b39e8d92833db12e7cb05cf712aa0f  phanfw.bin.1
95e24016be3ed63247fe9cb34011c20008217216934375118d9a77d799d6b7b5  LICENCE.phanfw
d71de4bbee2641d2901b7a8e9155c36da4d862803a92d633e0e2391a6b66cd03  LICENCE.phanfw.1
sulaco ~/rpmbuild/SOURCES:

The LICENSE.phanfw file differs from downloaded copy. Although the changes are just cosmetic (cheched with diff), I'd really prefer to deal with the file provided by upstream.

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.

- The package does not own files or directories already owned by other packages. However there is one unowned directory - /lib/firmware (which is owned by udev). Please add "Requires: udev".

+ All filenames in rpm packages are valid UTF-8.


Please, address the two issues mentioned above and I'll continue.

Comment 6 Tom "spot" Callaway 2010-12-23 20:53:17 UTC
Thanks Peter. New package with the two issue resolved is here:

New SRPM: http://www.auroralinux.org/people/spot/review/new/netxen-firmware-4.0.534-3.fc14.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/netxen-firmware.spec

Comment 7 Peter Lemenkov 2010-12-24 09:44:39 UTC
(In reply to comment #6)
> Thanks Peter. New package with the two issue resolved is here:
> 
> New SRPM:
> http://www.auroralinux.org/people/spot/review/new/netxen-firmware-4.0.534-3.fc14.src.rpm

Wrong link to the src.rpm (you uploaded noarch.rpm by mistake). However I see that you added udev as the Requires, so (assuming that you also added original license) I can't see any other issues.

This package is

APPROVED.

Comment 8 Peter Lemenkov 2011-01-11 08:58:21 UTC
Ping, Tom!

Comment 9 sucheta.chakraborty 2011-01-11 10:37:51 UTC
(In reply to comment #3)
> Sucheta, the files are likely to be identical. This package is simply awaiting
> review for inclusion into Fedora (since it is a new package).

Ok. Thanks Tom.

Comment 10 Tom "spot" Callaway 2011-01-11 15:41:22 UTC
New Package SCM Request
=======================
Package Name: netxen-firmware
Short Description: QLogic Linux Intelligent Ethernet (3000 and 3100 Series) Adapter Firmware
Owners: spot
Branches: f13 f14
InitialCC:

Comment 11 Jason Tibbitts 2011-01-11 18:19:29 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-01-17 18:39:41 UTC
netxen-firmware-4.0.534-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/netxen-firmware-4.0.534-3.fc13

Comment 13 Fedora Update System 2011-01-17 18:39:48 UTC
netxen-firmware-4.0.534-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/netxen-firmware-4.0.534-3.fc14

Comment 14 Fedora Update System 2011-01-18 21:36:35 UTC
netxen-firmware-4.0.534-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netxen-firmware'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/netxen-firmware-4.0.534-3.fc14

Comment 15 Fedora Update System 2011-01-26 20:56:09 UTC
netxen-firmware-4.0.534-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-01-26 21:01:11 UTC
netxen-firmware-4.0.534-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.